javafx.scene.control

## Enum SelectionMode

- java.lang.Object
- - java.lang.Enum<SelectionMode>
  - - javafx.scene.control.SelectionMode

- All Implemented Interfaces:
    Serializable, Comparable<SelectionMode>

      public enum SelectionMode
      extends Enum<SelectionMode>

  An enumeration used to specify how many items may be selected in a `MultipleSelectionModel`.
  Since:
    JavaFX 2.0
  See Also:
    `SelectionModel`, `MultipleSelectionModel`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE` Allows for one or more contiguous range of indices to be selected at a time.
    `SINGLE` Allows for only one item to be selected at a time.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final SelectionMode SINGLE

      Allows for only one item to be selected at a time.

    - #### MULTIPLE

          public static final SelectionMode MULTIPLE

      Allows for one or more contiguous range of indices to be selected at a time.

  - ### Method Detail

    - #### values

          public static SelectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionMode c : SelectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.